Update Workspace
curl --request PATCH \
--url https://api.example.com/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"avatar_url": "<string>"
}
'import requests
url = "https://api.example.com/workspaces/{workspace_id}"
payload = {
"name": "<string>",
"avatar_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', avatar_url: '<string>'})
};
fetch('https://api.example.com/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}WORKSPACES
Update Workspace
PATCH
/
workspaces
/
{workspace_id}
Update Workspace
Authorizations
OAuth2PasswordBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
Successful Response
The response is of type Response Update Workspace Workspaces Workspace Id Patch · object.
⌘I